RagTime5SpreadsheetInternal::Sheet::Plane Struct Reference

a plane: a list of rows map More...

## Public Member Functions

| Plane (int plane)
| constructor
int | getPlane () const
| returns the plane
bool | isEmpty () const
| returns true if the row is empty
MWAWVec2i | getSpan (MWAWVec2i const &position) const
| returns the span value corresponding to an id
void | splitRows (MWAWVec2i const &rows)
| split rows if needed, so that we can insert cells correspond to the rows interval
void | update (Sheet const &sheet, MWAWBox2i const &box, int id, int contentId)
| update the cells content type

## Public Attributes

int | m_plane
| the plane
std::map< MWAWVec2i, Row > | m_rowsToDataMap
| the map rows to data
std::map< MWAWVec2i, MWAWVec2i > | m_unitedCellMap
| the list of united cell: map from TL cell to RB cell

## Friends

std::ostream & | operator<< (std::ostream &o, Plane const &plane)

## Detailed Description

a plane: a list of rows map

## Constructor & Destructor Documentation

## Plane()

RagTime5SpreadsheetInternal::Sheet::Plane::Plane | ( | int | plane | ) |

inline explicit

constructor

Referenced by operator<<.

## Member Function Documentation

## getPlane()

int RagTime5SpreadsheetInternal::Sheet::Plane::getPlane | ( |  | ) | const

inline

returns the plane

## getSpan()

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::Plane::getSpan | ( | MWAWVec2i const & | position | ) | const

inline

returns the span value corresponding to an id

## isEmpty()

bool RagTime5SpreadsheetInternal::Sheet::Plane::isEmpty | ( |  | ) | const

inline

returns true if the row is empty

## splitRows()

void RagTime5SpreadsheetInternal::Sheet::Plane::splitRows | ( | MWAWVec2i const & | rows | ) |

inline

split rows if needed, so that we can insert cells correspond to the rows interval

Referenced by RagTime5SpreadsheetInternal::Sheet::setMergedCells(), and update().

## update()

void RagTime5SpreadsheetInternal::Sheet::Plane::update | ( | Sheet const & | sheet,
|  | MWAWBox2i const & | box,
|  | int | id,
|  | int | contentId )

inline

update the cells content type

Referenced by RagTime5SpreadsheetInternal::Sheet::setMergedCells(), and RagTime5SpreadsheetInternal::Sheet::setPLCValues().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Plane const & | plane )

friend

## Member Data Documentation

## m_plane

int RagTime5SpreadsheetInternal::Sheet::Plane::m_plane

the plane

Referenced by getPlane(), operator<<, and Plane().

## m_rowsToDataMap

std::map<MWAWVec2i, Row> RagTime5SpreadsheetInternal::Sheet::Plane::m_rowsToDataMap

the map rows to data

Referenced by isEmpty(), operator<<, Plane(), splitRows(), and update().

## m_unitedCellMap

std::map<MWAWVec2i, MWAWVec2i> RagTime5SpreadsheetInternal::Sheet::Plane::m_unitedCellMap

the list of united cell: map from TL cell to RB cell

Referenced by getSpan(), Plane(), and RagTime5SpreadsheetInternal::Sheet::setMergedCells().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx